<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<!-- External CSS -->
	<link rel="stylesheet" type="text/css" href="index.css">

	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">
	<h1>Bootstrap Grid system</h1>
	<h2>Two Colums</h2>
	<div class="container-fluid">
<!-- ==========FIRST ROW========== -->
		<h3>1:1 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 col</div>
		</div>
<!-- ==========SECOND ROW========== -->	
		<h3>1:2 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 col</div>
		</div>	
<!-- ==========THIRD ROW========== -->
		<h3>1:3 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 col</div>
	</div>
		<h3>1.1.1 Ratio</h3>

		<!-- ctrl + cursor (select multiple) = multiple selections-->

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
			4 col</div>
		<div class="text-light"></div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
			4 col</div>	
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
			4 col</div>	
		</div>	
	</div>


	<h3>1.2.1 Ratio</h3>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
			3 col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
			6 col
			</div>	
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
			3 col
			</div>	
		</div>	
	</div>

	<h3>Uneven Ratio</h3>
	<div class="container-fluid">

		<!-- ctrl + cursor (select multiple) = multiple selections-->

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
			3 col</div>
		<div class="text-light"></div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-7">
			7 col</div>	
			<div class="bg-primary pt-3 pb-3 border border-dark col-2">
			2 col</div>	
		</div>	
	</div>


<h3>Automatic Sizing</h3>
	<div class="container-fluid">

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">
				auto
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">
				auto
				</div>	
				<div class="bg-primary pt-3 pb-3 border border-dark col">
				auto
				</div>	
				<div class="bg-secondary pt-3 pb-3 border border-dark col">
				auto
				</div>	
				<div class="bg-primary pt-3 pb-3 border border-dark col">
				auto
				</div>	
			</div>	
	</div>

<!-- ============== ACTIVITY 1 ============== -->

<h3>Mobile Responsive Columns</h3>
<div class="container-fluid">
	<div class="row">
	  <div class="bg-primary pt-3 pb-3 border border-dark col-md-4">
	  	Responsive
	  </div>
	  <div class="bg-secondary pt-3 pb-3 border border-dark col-md-8 ">
	  	Responsive
	  </div>
	</div>
</div>	

<h3>Multi-Columns Layout</h3>
<div class="container-fluid">
	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">
			Catalog 1
		</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
			Catalog 2
		</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">
			Catalog 3
		</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">
			Catalog 4
		</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
			Catalog 5
		</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">
			Catalog 6
		</div>
	</div>	
</div>	

<h3>Offsettings Column</h3>
	<div class="container-fluid">
		<div class="row">
			<div class="bg-primary pt-3 pb-3 border border-dark offset-sm-2 col-7">
			 Offset Column
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-sm-6 col-md-7">
			 Offset Column
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-sm-6 col-md-7">
			 Offset Column
			</div>
		</div>
	</div>

<h3>Column Orders</h3>
	<div class="container-fluid">
		<div class="row">
			<div class="bg-primary pt-3 pb-3 border border-dark col order-2">
			 Left Column
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col order-1">
			 Right Column
			</div>
		</div>
	</div>
<!-- ============== END OF ACTIVITY 1 ============== -->

	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>